/*
 * Copyright (c) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export class EmptyStatePage {
    navigateTo() {
      return cy.visit('/layout-demo/empty-state-demo');
    }

    getEmptyState(): Cypress.Chainable<JQuery> {
      return cy.get('bci-empty-state[id="demoEmptyState"] div');
    }

    getEmptyStateWithHeight(): Cypress.Chainable<JQuery> {
        return cy.get('bci-empty-state[id="demoEmptyStateWithHeight"]');
    }

    getEmptyStateWithHeightDiv(): Cypress.Chainable<JQuery> {
    return cy.get('div[id="demoEmptyStateWithHeightDiv"]');
    }      
}